Bug 1373809 - [abrt] libreoffice-core: PhysicalFontFamily::~PhysicalFontFamily(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: PhysicalFontFamily::~PhysicalFontFamily(): soffice.b...
Status: CLOSED DUPLICATE of bug 1373933
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b0fc1c07d8b90809903ec5c0d68...
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-09-07 07:57 UTC by pavel raur
Modified: 2016-09-19 12:38 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-09-19 12:38:13 UTC


Attachments (Terms of Use)
File: backtrace (20.44 KB, text/plain)
2016-09-07 07:57 UTC, pavel raur
no flags Details
File: cgroup (242 bytes, text/plain)
2016-09-07 07:57 UTC, pavel raur
no flags Details
File: core_backtrace (16.51 KB, text/plain)
2016-09-07 07:57 UTC, pavel raur
no flags Details
File: dso_list (24.35 KB, text/plain)
2016-09-07 07:57 UTC, pavel raur
no flags Details
File: environ (1.50 KB, text/plain)
2016-09-07 07:57 UTC, pavel raur
no flags Details
File: exploitable (95 bytes, text/plain)
2016-09-07 07:57 UTC, pavel raur
no flags Details
File: limits (1.29 KB, text/plain)
2016-09-07 07:57 UTC, pavel raur
no flags Details
File: maps (114.18 KB, text/plain)
2016-09-07 07:57 UTC, pavel raur
no flags Details
File: mountinfo (3.30 KB, text/plain)
2016-09-07 07:57 UTC, pavel raur
no flags Details
File: namespaces (102 bytes, text/plain)
2016-09-07 07:57 UTC, pavel raur
no flags Details
File: open_fds (2.66 KB, text/plain)
2016-09-07 07:57 UTC, pavel raur
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-09-07 07:58 UTC, pavel raur
no flags Details
File: var_log_messages (2.24 KB, text/plain)
2016-09-07 07:58 UTC, pavel raur
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1373933 None None None Never

Internal Trackers: 1373933

Description pavel raur 2016-09-07 07:57:27 UTC
Version-Release number of selected component:
libreoffice-core-5.2.1.2-1.fc25

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --draw --splash-pipe=5
crash_function: PhysicalFontFamily::~PhysicalFontFamily
executable:     /usr/lib64/libreoffice/program/soffice.bin
global_pid:     2438
kernel:         4.8.0-0.rc4.git0.1.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 PhysicalFontFamily::~PhysicalFontFamily at /usr/src/debug/libreoffice-5.2.1.2/vcl/source/font/PhysicalFontFamily.cxx:104
 #1 PhysicalFontCollection::Clear at /usr/src/debug/libreoffice-5.2.1.2/vcl/source/font/PhysicalFontCollection.cxx:99
 #2 OutputDevice::ImplClearAllFontData at /usr/src/debug/libreoffice-5.2.1.2/vcl/source/outdev/font.cxx:597
 #3 OutputDevice::ImplUpdateAllFontData at /usr/src/debug/libreoffice-5.2.1.2/vcl/source/outdev/font.cxx:619
 #4 ImplHandleSalSettings at /usr/src/debug/libreoffice-5.2.1.2/vcl/source/window/winproc.cxx:2165
 #5 ImplWindowFrameProc at /usr/src/debug/libreoffice-5.2.1.2/vcl/source/window/winproc.cxx:2523
 #6 SalFrame::CallCallback at /usr/src/debug/libreoffice-5.2.1.2/vcl/inc/salframe.hxx:282
 #7 SalGenericDisplay::DispatchInternalEvent at /usr/src/debug/libreoffice-5.2.1.2/vcl/unx/generic/app/gendisp.cxx:86
 #8 GtkData::userEventFn at /usr/src/debug/libreoffice-5.2.1.2/vcl/unx/gtk3/gtk3gtkdata.cxx:819
 #9 call_userEventFn at /usr/src/debug/libreoffice-5.2.1.2/vcl/unx/gtk3/gtk3gtkdata.cxx:829

Comment 1 pavel raur 2016-09-07 07:57:35 UTC
Created attachment 1198557 [details]
File: backtrace

Comment 2 pavel raur 2016-09-07 07:57:36 UTC
Created attachment 1198558 [details]
File: cgroup

Comment 3 pavel raur 2016-09-07 07:57:38 UTC
Created attachment 1198559 [details]
File: core_backtrace

Comment 4 pavel raur 2016-09-07 07:57:40 UTC
Created attachment 1198560 [details]
File: dso_list

Comment 5 pavel raur 2016-09-07 07:57:41 UTC
Created attachment 1198561 [details]
File: environ

Comment 6 pavel raur 2016-09-07 07:57:43 UTC
Created attachment 1198562 [details]
File: exploitable

Comment 7 pavel raur 2016-09-07 07:57:44 UTC
Created attachment 1198563 [details]
File: limits

Comment 8 pavel raur 2016-09-07 07:57:54 UTC
Created attachment 1198564 [details]
File: maps

Comment 9 pavel raur 2016-09-07 07:57:56 UTC
Created attachment 1198565 [details]
File: mountinfo

Comment 10 pavel raur 2016-09-07 07:57:57 UTC
Created attachment 1198566 [details]
File: namespaces

Comment 11 pavel raur 2016-09-07 07:57:59 UTC
Created attachment 1198567 [details]
File: open_fds

Comment 12 pavel raur 2016-09-07 07:58:00 UTC
Created attachment 1198568 [details]
File: proc_pid_status

Comment 13 pavel raur 2016-09-07 07:58:02 UTC
Created attachment 1198569 [details]
File: var_log_messages

Comment 14 pavel raur 2016-09-07 10:14:05 UTC
Libreoffice impress and draw crashes after 10 - 40 sec. using them. At first it slowdown and if you click something than it crashes. For example if you will make new slide or draw new object, write something, try to save work etc.

Comment 15 Kamil Páral 2016-09-07 11:01:08 UTC
I tried to reproduce this and I always hit bug 1373372. That one will need to be resolved first in order to try to reproduce this one, it seems.

Comment 16 Caolan McNamara 2016-09-16 10:30:52 UTC
From the backtrace I strongly suspect this is triggered by the same problem of bug 1373933 so the fix for that will likely fix this too

Comment 17 Kamil Páral 2016-09-19 12:38:13 UTC
I could not reproduce this issue with the new build, let's go with your judgment and make it a dupe of bug 1373933. Please reopen if anyone sees this with libreoffice-5.2.2.1-2.fc25 or newer.

*** This bug has been marked as a duplicate of bug 1373933 ***


Note You need to log in before you can comment on or make changes to this bug.